package com.ruoyi.applet.contoller;

import com.ruoyi.applet.pojo.dto.ApiQueryIIdDTO;
import com.ruoyi.applet.utils.conf.AppletUtil;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.domain.*;
import com.ruoyi.model.service.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Api(description = "伴宠师-工作台外部")
@RestController
@RequestMapping("/applet/workIn")
public class ApiAppletHhrWorkInController extends BaseController {

    @Autowired
    private IIndexconfigIconService indexconfigIconService;

    @Autowired
    private IIndexconfigService indexConfigService;

    @Autowired
    private IAppUsersService appUsersService;

    @Autowired
    private IIndexPartnerConfigService iIndexPartnerConfigService;


    //1.查询轮播图接口
    @Autowired
    private IAppBannerService iAppBannerService;

    @ApiOperation("轮播图列表")
    @GetMapping("/bannerList")
    public AjaxResult bannerList(){
        List<AppBanner> bannerList = iAppBannerService.getBannerList();
        return AjaxResult.success("轮播图列表",bannerList);
    }

    @ApiOperation("未加入的工作台图标配置查询")
    @GetMapping("/indexConfigIco")
    public AjaxResult getIndexConfigIcon(){
        List<IndexconfigIcon> indexconfigIconByIdentity = indexconfigIconService.getIndexconfigIconByIdentity();
        return AjaxResult.success(indexconfigIconByIdentity);
    }

    @ApiOperation("已加入的工作台图标配置查询")
    @GetMapping("/indexConfig")
    public TableDataInfo getIndexConfig(){
        return getDataTable(indexConfigService.getIndexconfigList());
    }


    @ApiOperation("查询加入合伙人提示配置列表")
    @GetMapping("/list")
    public TableDataInfo list(){
        List<IndexPartnerConfig> indexPartnerConfigList = iIndexPartnerConfigService.getIndexPartnerConfigList();
        return getDataTable(indexPartnerConfigList);
    }


    @ApiOperation("申请加入合伙人-需要token")
    @PostMapping("/joinHh")
    public AjaxResult joinHh(@RequestBody ApiQueryIIdDTO dto){
//        AppUsers localAppletUser = AppletUtil.getLocalAppletUser();
        AppUsers localAppletUser = new AppUsers();
        localAppletUser.setUserId(dto.getAppUserId());
        localAppletUser.setUserHh(1);
        appUsersService.updateAppUsers(localAppletUser);
        return AjaxResult.success("申请成功合伙人");
    }

    @ApiOperation("申请加入伴宠师-需要token")
    @PostMapping("/joiBcs")
    public AjaxResult joiBcs(@RequestBody ApiQueryIIdDTO dto){
//        AppUsers localAppletUser = AppletUtil.getLocalAppletUser();
        AppUsers localAppletUser = new AppUsers();
        localAppletUser.setUserId(dto.getAppUserId());
        localAppletUser.setUserBcs(1);
        appUsersService.updateAppUsers(localAppletUser);
        return AjaxResult.success("申请成功伴宠师");
    }


}
