package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.model.domain.AppTransactionDetails;
import com.ruoyi.model.service.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Pageable;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.math.BigDecimal;

@Api(description = "伴宠师-钱包相关接口")
@RestController
@RequestMapping("/applet/wallet")
public class ApiAppletWalletController extends BaseController {

    //钱包
    @Autowired
    private IAppWalletService appWalletService;

    //钱包提现配置
    @Autowired
    private IAppWithdrawalConfigService appWithdrawalConfigService;

    @Autowired
    private IAppTransactionDetailsService appTransactionDetailsService;

    @Autowired
    private ITransactionDetailsService transactionDetailsService;


    @ApiOperation("交易明细记录列表-这里还要改成带分页的")
    @GetMapping("/getTransactionDetailsList/{transactionType}")
    public TableDataInfo getTransactionDetailsList(@PathVariable Long transactionType,Pageable page){
        return getDataTable(transactionDetailsService.getTransactionDetailsList(transactionType));
    }

    @ApiOperation("交易明细记录")
    @GetMapping("/getTransactionDetails/{id}")
    public TableDataInfo getAppTransactionDetailsByWid(@PathVariable Long id){
        return getDataTable(appTransactionDetailsService.getAppTransactionDetailsByWid(id));
    }

    //伴宠师-用户提现
    @ApiOperation("伴宠师-用户提现")
    @PostMapping("/saveMoney")
    public AjaxResult saveMoney(@PathVariable BigDecimal money){
        AppTransactionDetails appTransactionDetails = new AppTransactionDetails();
        appTransactionDetails.setDetailsName("提现测试");
        appTransactionDetails.setDetailsPrice(100L);
        appTransactionDetailsService.insertAppTransactionDetails(appTransactionDetails);
        return AjaxResult.success("提现成功");
    }

}
