package com.ruoyi.model.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.model.domain.AppletUser1;
import com.ruoyi.model.service.IAppletUser1Service;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 伴宠师信息Controller
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
@RestController
@RequestMapping("/model/AppletUser1")
public class AppletUser1Controller extends BaseController
{
    @Autowired
    private IAppletUser1Service appletUser1Service;

    /**
     * 查询伴宠师信息列表
     */
    @PreAuthorize("@ss.hasPermi('model:AppletUser1:list')")
    @GetMapping("/list")
    public TableDataInfo list(AppletUser1 appletUser1)
    {
        startPage();
        List<AppletUser1> list = appletUser1Service.selectAppletUser1List(appletUser1);
        return getDataTable(list);
    }

    /**
     * 导出伴宠师信息列表
     */
    @PreAuthorize("@ss.hasPermi('model:AppletUser1:export')")
    @Log(title = "伴宠师信息", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, AppletUser1 appletUser1)
    {
//        List<AppletUser1> list = appletUser1Service.selectAppletUser1List(appletUser1);
//        ExcelUtil<AppletUser1> util = new ExcelUtil<AppletUser1>(AppletUser1.class);
//        util.exportExcel(response, list, "伴宠师信息数据");
    }

    /**
     * 获取伴宠师信息详细信息
     */
    @PreAuthorize("@ss.hasPermi('model:AppletUser1:query')")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(appletUser1Service.selectAppletUser1ById(id));
    }

    /**
     * 新增伴宠师信息
     */
    @PreAuthorize("@ss.hasPermi('model:AppletUser1:add')")
    @Log(title = "伴宠师信息", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody AppletUser1 appletUser1)
    {
        return toAjax(appletUser1Service.insertAppletUser1(appletUser1));
    }

    /**
     * 修改伴宠师信息
     */
    @PreAuthorize("@ss.hasPermi('model:AppletUser1:edit')")
    @Log(title = "伴宠师信息", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody AppletUser1 appletUser1)
    {
        return toAjax(appletUser1Service.updateAppletUser1(appletUser1));
    }

    /**
     * 删除伴宠师信息
     */
    @PreAuthorize("@ss.hasPermi('model:AppletUser1:remove')")
    @Log(title = "伴宠师信息", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(appletUser1Service.deleteAppletUser1ByIds(ids));
    }
}
