package com.ruoyi.model.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.model.domain.AppletUser2;
import com.ruoyi.model.service.IAppletUser2Service;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 用户服务信息Controller
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
@RestController
@RequestMapping("/model/AppletUser2")
public class AppletUser2Controller extends BaseController
{
    @Autowired
    private IAppletUser2Service appletUser2Service;

    /**
     * 查询用户服务信息列表
     */
    @PreAuthorize("@ss.hasPermi('model:AppletUser2:list')")
    @GetMapping("/list")
    public TableDataInfo list(AppletUser2 appletUser2)
    {
        startPage();
        List<AppletUser2> list = appletUser2Service.selectAppletUser2List(appletUser2);
        return getDataTable(list);
    }

    /**
     * 导出用户服务信息列表
     */
    @PreAuthorize("@ss.hasPermi('model:AppletUser2:export')")
    @Log(title = "用户服务信息", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, AppletUser2 appletUser2)
    {
//        List<AppletUser2> list = appletUser2Service.selectAppletUser2List(appletUser2);
//        ExcelUtil<AppletUser2> util = new ExcelUtil<AppletUser2>(AppletUser2.class);
//        util.exportExcel(response, list, "用户服务信息数据");
    }

    /**
     * 获取用户服务信息详细信息
     */
    @PreAuthorize("@ss.hasPermi('model:AppletUser2:query')")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(appletUser2Service.selectAppletUser2ById(id));
    }

    /**
     * 新增用户服务信息
     */
    @PreAuthorize("@ss.hasPermi('model:AppletUser2:add')")
    @Log(title = "用户服务信息", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody AppletUser2 appletUser2)
    {
        return toAjax(appletUser2Service.insertAppletUser2(appletUser2));
    }

    /**
     * 修改用户服务信息
     */
    @PreAuthorize("@ss.hasPermi('model:AppletUser2:edit')")
    @Log(title = "用户服务信息", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody AppletUser2 appletUser2)
    {
        return toAjax(appletUser2Service.updateAppletUser2(appletUser2));
    }

    /**
     * 删除用户服务信息
     */
    @PreAuthorize("@ss.hasPermi('model:AppletUser2:remove')")
    @Log(title = "用户服务信息", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(appletUser2Service.deleteAppletUser2ByIds(ids));
    }
}
