package com.ruoyi.model.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.AppletUser1Mapper;
import com.ruoyi.model.domain.AppletUser1;
import com.ruoyi.model.service.IAppletUser1Service;

/**
 * 伴宠师信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
@Service
public class AppletUser1ServiceImpl implements IAppletUser1Service 
{
    @Autowired
    private AppletUser1Mapper appletUser1Mapper;

    /**
     * 查询伴宠师信息
     * 
     * @param id 伴宠师信息主键
     * @return 伴宠师信息
     */
    @Override
    public AppletUser1 selectAppletUser1ById(Long id)
    {
        return appletUser1Mapper.selectAppletUser1ById(id);
    }

    /**
     * 查询伴宠师信息列表
     * 
     * @param appletUser1 伴宠师信息
     * @return 伴宠师信息
     */
    @Override
    public List<AppletUser1> selectAppletUser1List(AppletUser1 appletUser1)
    {
        return appletUser1Mapper.selectAppletUser1List(appletUser1);
    }

    /**
     * 新增伴宠师信息
     * 
     * @param appletUser1 伴宠师信息
     * @return 结果
     */
    @Override
    public int insertAppletUser1(AppletUser1 appletUser1)
    {
        return appletUser1Mapper.insertAppletUser1(appletUser1);
    }

    /**
     * 修改伴宠师信息
     * 
     * @param appletUser1 伴宠师信息
     * @return 结果
     */
    @Override
    public int updateAppletUser1(AppletUser1 appletUser1)
    {
        return appletUser1Mapper.updateAppletUser1(appletUser1);
    }

    /**
     * 批量删除伴宠师信息
     * 
     * @param ids 需要删除的伴宠师信息主键
     * @return 结果
     */
    @Override
    public int deleteAppletUser1ByIds(Long[] ids)
    {
        return appletUser1Mapper.deleteAppletUser1ByIds(ids);
    }

    /**
     * 删除伴宠师信息信息
     * 
     * @param id 伴宠师信息主键
     * @return 结果
     */
    @Override
    public int deleteAppletUser1ById(Long id)
    {
        return appletUser1Mapper.deleteAppletUser1ById(id);
    }
}
