package com.ruoyi.model.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.AppletUser2Mapper;
import com.ruoyi.model.domain.AppletUser2;
import com.ruoyi.model.service.IAppletUser2Service;

/**
 * 用户服务信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
@Service
public class AppletUser2ServiceImpl implements IAppletUser2Service 
{
    @Autowired
    private AppletUser2Mapper appletUser2Mapper;

    /**
     * 查询用户服务信息
     * 
     * @param id 用户服务信息主键
     * @return 用户服务信息
     */
    @Override
    public AppletUser2 selectAppletUser2ById(Long id)
    {
        return appletUser2Mapper.selectAppletUser2ById(id);
    }

    /**
     * 查询用户服务信息列表
     * 
     * @param appletUser2 用户服务信息
     * @return 用户服务信息
     */
    @Override
    public List<AppletUser2> selectAppletUser2List(AppletUser2 appletUser2)
    {
        return appletUser2Mapper.selectAppletUser2List(appletUser2);
    }

    /**
     * 新增用户服务信息
     * 
     * @param appletUser2 用户服务信息
     * @return 结果
     */
    @Override
    public int insertAppletUser2(AppletUser2 appletUser2)
    {
        appletUser2.setCreateTime(DateUtils.getNowDate());
        return appletUser2Mapper.insertAppletUser2(appletUser2);
    }

    /**
     * 修改用户服务信息
     * 
     * @param appletUser2 用户服务信息
     * @return 结果
     */
    @Override
    public int updateAppletUser2(AppletUser2 appletUser2)
    {
        appletUser2.setUpdateTime(DateUtils.getNowDate());
        return appletUser2Mapper.updateAppletUser2(appletUser2);
    }

    /**
     * 批量删除用户服务信息
     * 
     * @param ids 需要删除的用户服务信息主键
     * @return 结果
     */
    @Override
    public int deleteAppletUser2ByIds(Long[] ids)
    {
        return appletUser2Mapper.deleteAppletUser2ByIds(ids);
    }

    /**
     * 删除用户服务信息信息
     * 
     * @param id 用户服务信息主键
     * @return 结果
     */
    @Override
    public int deleteAppletUser2ById(Long id)
    {
        return appletUser2Mapper.deleteAppletUser2ById(id);
    }
}
